do_IRQ: 0.91 No irq handler for vector (irq -1)

Bug #480997 reported by andresimi on 2009-11-11
42
This bug affects 8 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned

Bug Description

I have installed ubuntu 9.10 64bits and i am very happy because finally i could install my video card and enable Compiz effects.

But, since than, every time i turn on my computer, before appears ubntu logo on boot, the following message appears:

Nov 11 00:29:27 andresimi kernel: [ 8161.609160] do_IRQ: 0.91 No irq handler for vector (irq -1)
Nov 11 00:29:27 andresimi kernel: [ 8161.609246] do_IRQ: 0.91 No irq handler for vector (irq -1)
Nov 11 00:29:27 andresimi kernel: [ 8161.609363] do_IRQ: 0.91 No irq handler for vector (irq -1)
Nov 11 00:29:27 andresimi kernel: [ 8161.609421] do_IRQ: 0.91 No irq handler for vector (irq -1)
Nov 11 00:29:27 andresimi kernel: [ 8161.609537] do_IRQ: 0.91 No irq handler for vector (irq -1)
Nov 11 00:29:27 andresimi kernel: [ 8161.609624] do_IRQ: 0.91 No irq handler for vector (irq -1)

On the kern.log and on the syslog i got flooded of this messages.

I don know if it is correlated, but I cant use skype, my microphone doesn work, when i make the test call it records the last words from the atendent and repeats it forever..

Anyone know what this messages means?
thanx very much

ProblemType: Bug
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: andresimi 2022 F.... pulseaudio
 /dev/snd/pcmC0D0p: andresimi 2022 F...m pulseaudio
CRDA: Error: [Errno 2] Arquivo ou diretório não encontrado
Card0.Amixer.info:
 Card hw:0 'VT82xx'/'HDA VIA VT82xx at 0xbfffc000 irq 50'
   Mixer name : 'Realtek ALC883'
   Components : 'HDA:10ec0883,10438249,00100002'
   Controls : 38
   Simple ctrls : 21
Date: Wed Nov 11 20:42:41 2009
DistroRelease: Ubuntu 9.10
HibernationDevice: RESUME=UUID=b2a907fb-6fff-449c-9264-07a2f4ff54f8
InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release amd64 (20091027)
MachineType: System manufacturer System Product Name
NonfreeKernelModules: nvidia
Package: linux-image-2.6.31-14-generic 2.6.31-14.48
ProcCmdLine: BOOT_IMAGE=/vmlinuz-2.6.31-14-generic root=UUID=a5a63d46-8898-4240-9fbc-749c818e12e6 ro quiet splash
ProcEnviron:
 LANGUAGE=pt_BR.UTF-8
 LANG=pt_BR.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.31-14.48-generic
RelatedPackageVersions:
 linux-backports-modules-2.6.31-14-generic N/A
 linux-firmware 1.24
RfKill:
 0: phy0: Wireless LAN
  Soft blocked: no
  Hard blocked: no
SourcePackage: linux
Uname: Linux 2.6.31-14-generic x86_64
dmi.bios.date: 03/19/2007
dmi.bios.vendor: Phoenix Technologies, LTD
dmi.bios.version: ASUS P5VD2-X ACPI BIOS Revision 0308
dmi.board.name: P5VD2-X
dmi.board.vendor: ASUSTeK Computer INC.
dmi.board.version: 1.XX
dmi.chassis.asset.tag: 123456789000
dmi.chassis.type: 3
dmi.chassis.vendor: Chassis Manufacture
dmi.chassis.version: 1111
dmi.modalias: dmi:bvnPhoenixTechnologies,LTD:bvrASUSP5VD2-XACPIBIOSRevision0308:bd03/19/2007:svnSystemmanufacturer:pnSystemProductName:pvr:rvnASUSTeKComputerINC.:rnP5VD2-X:rvr1.XX:cvnChassisManufacture:ct3:cvr1111:
dmi.product.name: System Product Name
dmi.sys.vendor: System manufacturer
---
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.21.
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: andresimi 1275 F.... pulseaudio
CRDA: Error: [Errno 2] Arquivo ou diretório não encontrado
Card0.Amixer.info:
 Card hw:0 'VT82xx'/'HDA VIA VT82xx at 0xbfffc000 irq 17'
   Mixer name : 'Realtek ALC883'
   Components : 'HDA:10ec0883,10438249,00100002'
   Controls : 38
   Simple ctrls : 21
DistroRelease: Ubuntu 10.04
HibernationDevice: RESUME=UUID=b2a907fb-6fff-449c-9264-07a2f4ff54f8
InstallationMedia: Ubuntu 10.04 "Lucid Lynx" - Release Candidate amd64 (20100419.1)
MachineType: System manufacturer System Product Name
Package: linux (not installed)
ProcCmdLine: BOOT_IMAGE=/vmlinuz-2.6.32-21-generic root=UUID=3d4a6ac6-d86c-4891-a71c-04d1cb268e9d ro quiet splash
ProcEnviron:
 LANGUAGE=pt_BR:pt:en
 LANG=pt_BR.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.32-21.32-generic 2.6.32.11+drm33.2
Regression: No
RelatedPackageVersions: linux-firmware 1.34
Reproducible: Yes
RfKill:
 0: phy0: Wireless LAN
  Soft blocked: no
  Hard blocked: no
Tags: lucid kconfig needs-upstream-testing
Uname: Linux 2.6.32-21-generic x86_64
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare
dmi.bios.date: 03/19/2007
dmi.bios.vendor: Phoenix Technologies, LTD
dmi.bios.version: ASUS P5VD2-X ACPI BIOS Revision 0308
dmi.board.name: P5VD2-X
dmi.board.vendor: ASUSTeK Computer INC.
dmi.board.version: 1.XX
dmi.chassis.asset.tag: 123456789000
dmi.chassis.type: 3
dmi.chassis.vendor: Chassis Manufacture
dmi.chassis.version: 1111
dmi.modalias: dmi:bvnPhoenixTechnologies,LTD:bvrASUSP5VD2-XACPIBIOSRevision0308:bd03/19/2007:svnSystemmanufacturer:pnSystemProductName:pvr:rvnASUSTeKComputerINC.:rnP5VD2-X:rvr1.XX:cvnChassisManufacture:ct3:cvr1111:
dmi.product.name: System Product Name
dmi.sys.vendor: System manufacturer

andresimi (andresimi) wrote :
Bruno Andrade (brunoandrade07) wrote :

My Ubuntu 9.10 32 bits shows the same message: do_IRQ: 0.91 No irq handler for vector (irq -1) very very times... since Ubuntu 8.10 I have this problem, and since Ubuntu 9.04 I can't install the driver for my NVIDIA 7100GS :(,

andresimi (andresimi) wrote :

That is the same video card i have.
Are you sure your computer is 32 bits? For a while i used a 32 bit system and couldn install the nvidia driver, when i went to
Karmic 64 bits i could install it. But the message continues...

Bruno Andrade (brunoandrade07) wrote :

My computer supports 64 bit, my motherboard is the same as yours (ASUS P5VD2-X), it would be an incompatibility with our motherboards? I will try to use the 64-bit version and see how it works. Thanks for the tip...

Using 32-bit Kubuntu 9.10, I too am flooded with this message.

When I am working on a terminal, this message (5 lines at once) is left as an artefact on the screen when I access a file or when I use the search function in VIM.
The numbers between brackets are different each time, so I guess these lines are generated just before accessing a file.

If I can do anything to debug, please tell me.

By the way, guess what, my motherboard is Asus P5VD2-MX

I had posted on forum back in august: http://ubuntuforums.org/showthread.php?p=8334343
My board is a P5VD2-X.
Had tried to address this in the kernel mailing list, without success: http://linux.derkeiler.com/Mailing-Lists/Kernel/2009-08/msg03954.html

Andur (andreas-urbschat) wrote :

Solved: The massive amount of entries in several logs occured after Installation of the ATI-Graphics Drivers on my PC...It' seems to be a bug on my VIA motherboard!

lspci-Search unveiled this device responsible for that:

00:02.0 PCI bridge: VIA Technologies, Inc. P4M890 PCI to PCI Bridge Controller
Flags: bus master, fast devsel, latency 0
Bus: primary=00, secondary=02, subordinate=02, sec-latency=0
I/O behind bridge: 0000a000-0000afff
Memory behind bridge: dfa00000-dfafffff
Prefetchable memory behind bridge: 00000000c0000000-00000000cfffffff
Capabilities: [40] Express Root Port (Slot+), MSI 00
Capabilities: [68] Power Management version 2
Capabilities: [70] Message Signalled Interrupts: Mask+ 64bit+ Queue=0/0 Enable-
Capabilities: [88] HyperTransport: MSI Mapping Enable- Fixed+
Capabilities: [98] Subsystem: VIA Technologies, Inc. Device c323
Capabilities: [100] Advanced Error Reporting <?>
Capabilities: [140] Virtual Channel <?>
Capabilities: [180] Root Complex Link <?>
Kernel driver in use: pcieport-driver
Kernel modules: shpchp

To get rid of them, add a Kernel-Bootoption to your Grub-Bootloader. for Grub2 follow these steps:

1. sudo gedit /etc/default/grub
2. change GRUB_CMDLINE_LINUX_DEFAULT="quiet splash pci=nomsi,noaer"
3.sudo update-grub

and the syslog gets quiet and useable again...

Andy Whitcroft (apw) on 2009-11-30
tags: added: kernel-karmic
elver (elver-loho) wrote :

I've been doing research on this bug today as it's affecting our Fedora-based server system. In the end I found that the bug was fixed a couple of years ago already, but it seems that the patch has not been backported to the mainstream kernel:

http://marc2.theaimsgroup.com/?l=linux-mm-commits&m=117046481708594&q=raw

I could be wrong, however, and this could be an entirely different problem with the same symptoms :)

Jeremy Foshee (jeremyfoshee) wrote :

Hi andresimi,

This bug was reported a while ago and there hasn't been any activity in it recently. We were wondering if this is still an issue? Can you try with the latest development release of Ubuntu? ISO CD images are available from http://cdimage.ubuntu.com/releases/ .

If it remains an issue, could you run the following command from a Terminal (Applications->Accessories->Terminal). It will automatically gather and attach updated debug information to this report.

apport-collect -p linux 480997

Also, if you could test the latest upstream kernel available that would be great. It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag. This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text. Please let us know your results.

Thanks in advance.

    [This is an automated message. Apologies if it has reached you inappropriately; please just reply to this message indicating so.]

tags: added: needs-kernel-logs
tags: added: needs-upstream-testing
tags: added: kj-triage
Changed in linux (Ubuntu):
status: New → Incomplete

apport information

tags: added: apport-collected
description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Changed in linux (Ubuntu):
status: Incomplete → Triaged
importance: Undecided → Medium
Tiago Neiva (tneiva) wrote :

Hi!

I have the same issue.
my specs:
- Lucid Lynx, AMD64 (clean install)
- Asus P6T
- Intel i7 920
- 12Gb Ram

I'm not sure when this started, but I checked the logs from the previous install (9.10) and I haven't found the messages.

Dave Bentham (dave-bentham) wrote :

Hi
I have a very similar issue since 10.04, except its for 0.92, i.e.

do_IRQ: 0.92 No irq handler for vector (irq -1)

Whats the significance of the 0.92 or 0.91? I have googled this general error and found loads of reports for the 0.91 version, and a handful of other numbers, but not one for 0.92... :-/

Cheers

This bug was filed against a series that is no longer supported and so is being marked as Won't Fix. If this issue still exists in a supported series, please file a new bug.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: Triaged → Won't Fix
David Ally (david-ally) wrote :

I get this error while installing Ubuntu 14.04-4, how do I solve this in Grub Bootloader when I am still trying to install Ubuntu? I am installing Ubuntu on VIA EPIA-M900 motherboard with the same type of chipset.

To post a comment you must log in.